------------------------------------------------------------------------------------
--Name:  	dhmj1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-05-25
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(111, 124)
local Player_1 = CppScriptMgr:QueryHero()
Player_1:SetPos(111, 124)
Player_1:SetDir(7)
local Player_2 = CppScriptMgr:AddPlayer(148, 104, 127, "", 0, 0)
Player_2:SetDir(5)
local Player_3 = CppScriptMgr:AddPlayer(148, 109, 132, "", 0, 0)
Player_3:SetDir(4)
local Player_4 = CppScriptMgr:AddPlayer(148, 115, 133, "", 0, 0)
Player_4:SetDir(3)
local Player_5 = CppScriptMgr:AddPlayer(203, 119, 128, "", 0, 0)
Player_5:SetDir(2)
local Player_6 = CppScriptMgr:AddPlayer(203, 118, 121, "", 0, 0)
Player_6:SetDir(5)
local Player_7 = CppScriptMgr:AddPlayer(203, 112, 116, "", 0, 0)
Player_7:SetDir(0)
local Player_8 = CppScriptMgr:AddPlayer(156, 106, 116, "", 0, 0)
Player_8:SetDir(7)
local Player_9 = CppScriptMgr:AddPlayer(156, 103, 120, "", 0, 0)
Player_9:SetDir(6)
CppScriptMgr:WaitMilSec(1000)
local Effect_1 = CppScriptMgr:AddEffect("KillerPattern", 104, 127, 33, 1, 1, 1)
local Effect_2 = CppScriptMgr:AddEffect("KillerPattern", 109, 132, 33, 1, 1, 1)
local Effect_3 = CppScriptMgr:AddEffect("KillerPattern", 115, 133, 33, 1, 1, 1)
local Effect_4 = CppScriptMgr:AddEffect("KillerPattern", 119, 128, 33, 1, 1, 1)
local Effect_5 = CppScriptMgr:AddEffect("KillerPattern", 118, 121, 33, 1, 1, 1)
local Effect_6 = CppScriptMgr:AddEffect("KillerPattern", 112, 116, 33, 1, 1, 1)
local Effect_7 = CppScriptMgr:AddEffect("KillerPattern", 106, 116, 33, 1, 1, 1)
local Effect_8 = CppScriptMgr:AddEffect("KillerPattern", 103, 120, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("No! They mutated!", 1500)
CppScriptMgr:WaitMilSec(1500)
local Effect_10 = CppScriptMgr:AddEffect("Jabali_show9", 104, 132, 33, 1, 1, 1)
local Effect_11 = CppScriptMgr:AddEffect("Jabali_show9", 120, 133, 33, 1, 1, 1)
local Effect_12 = CppScriptMgr:AddEffect("Jabali_show9", 117, 117, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
LaJin(256, 10, -1, 10)
CppScriptMgr:ShakeScrEffect(1)
local Player_11 = CppScriptMgr:AddPlayer(191, 104, 132, "", 0, 0)
Player_11:SetDir(5)
Player_11:SetZoomPercent(50)
local Player_12 = CppScriptMgr:AddPlayer(191, 120, 133, "", 0, 0)
Player_12:SetDir(3)
Player_12:SetZoomPercent(50)
local Player_13 = CppScriptMgr:AddPlayer(191, 117, 117, "", 0, 0)
Player_13:SetDir(1)
Player_13:SetZoomPercent(50)
CppScriptMgr:WaitMilSec(500)
ChangeNpcZoom(Player_13, 50, 120, 5, 33)
ChangeNpcZoom(Player_11, 50, 120, 5, 33)
ChangeNpcZoom(Player_12, 50, 120, 5, 33)
CppScriptMgr:WaitMilSec(2000)